html {
	overflow-y: scroll;
}

body {
	font-size: 12px;
	margin: 0px;
}

a img {
	border: none;
}

h1 {
	font-size: 1.6em;
	margin-top: 0;
}

input[type=submit], input[type=button] {
	font-size: 11px;
	margin: 5px 5px 5px 0;
	cursor: pointer;
}

input[type=text], input[type=password], textarea {
	font-size: 12px;
	padding-left: 1px;
}

select {
	font-size: 13px;
}

.tableControl, .actionButtons {
	width: 100%;
}

.tableControl a {
	padding-left: 10px;
}

.tableControl {
	text-align: right;
}

.footer {
	text-align: center;
	font-size: 11px;
	margin-bottom: 10px;
}

.rich-table {
	width: 100%;
}

.body {
	padding: 30px;
}
.message {
	padding: 5px;
	list-style: none;
	border: 0;
	background: none;
	padding: 0;
	color: #000000;
	margin: 5px 0 8px 0;
	font-size: 12px;
}

.message li {
	background: no-repeat left center;
	padding-top: 1px;
	padding-left: 20px;
	margin-left: 3px;
}

.message li.infomsg {
	background-image: url(../img/msginfo.png);
}

.message li.errormsg {
	background-image: url(../img/msgerror.png);
}

.message li.warnmsg {
	background-image: url(../img/msgwarn.png);
}

.name {
	vertical-align: top;
	font-weight: bold;
	width: 115px;
	float: left;
	padding: 5px;
	margin-top: 3px;
	clear: left;
}

.value {
	float: left;
	padding: 5px;
}

.error {
	float: left;
	padding: 5px;
}

.errors {
	color: #FF0000;
	vertical-align: middle;
}

img.errors {
	padding-right: 5px;
}

.errors input, .errors textarea, .errors select {
	border: 1px solid red !important;
}

.required {
	color: #FF0000;
	padding-left: 2px;
}

.rich-stglpanel-body {
	overflow: auto;
} 

/* the specificity here is necessary to override the defaults */
/*
.rich-panel .rich-panel-header,
.rich-stglpanel .rich-stglpanel-header {
	padding: 2px 3px;
}*/

.rich-panel input[type=submit], .rich-panel input[type=button],
.rich-tabpanel input[type=submit], .rich-tabpanel input[type=button] {
	margin-bottom: 0;
}

.tableControl input[type=submit], .tableControl input[type=button], .tableControl select {
	margin: 5px 0 5px 5px;
}

/* I don't know why this is necessary, but the select is off by a pixel on the top and is padding too much on the left */
.tableControl select {
	margin-left: 2px;
	position: relative;
	top: 1px;
}

.actionButtons {
	padding-left: 1px;
}

.actionButtons select {
	margin: 5px 5px 5px 0;
	vertical-align: bottom;
}

.rich-toolbar-item a {
	text-decoration: none;
}

.rich-toolbar-item a:hover, .rich-ddmenu-label-select {
	text-decoration: underline;
}

.rich-toolbar-item .rich-menu-item a:hover {
	text-decoration: none;
}

.rich-datalist {
	list-style: square;
	margin: 6px 0 1px 0;
	padding-left: 18px;
}

.rich-list-item {
	padding-bottom: 4px;
}

div.info {
	font-size: 1.2em;
}

ul.bullets {
	list-style: square;
}

ul.bullets li {
	padding-bottom: 2px;
}

td.action {
	text-align: center;
	width: 8em;
	white-space: nowrap;
}

td.action a {
	padding-left: 1px;
	padding-right: 1px;
}

table.radio {
   border: 0;
}

table.radio td {
   padding: 0 2px;
}

table.radio input[type=radio] {
   vertical-align: bottom;
}

hl-main {  text-decoration  : none; font-family: monospace; font-size:10px;}
.hl-main:hover {font-family: monospace; font-size:10px; font-weight:bold;}
.hl-default { color: #000000; }
.hl-code { color: #7f7f33; }
.hl-brackets { color: #009966; }
.hl-comment { color: #7F7F7F; }
.hl-quotes { color: #00007F; }
.hl-string { color: #7F0000; }
.hl-identifier { color: #000000; }
.hl-reserved { color: #7F007F; }
.hl-inlinedoc { color: #0000FF; }
.hl-var { color: #0066FF; }
.hl-url { color: #FF0000; }
.hl-special { color: #0000FF; }
.hl-number { color: #007F00; }
.hl-inlinetags { color: #FF0000; }
.hl-crlf { color: #FF0000;  font-size:6px;}
.hl-error { color: #FF0000;}
